import React from 'react';
import { PathSocial, SvgSocial, RectSocial } from './Svg';

export const InstagramIcon = () => {
  return (
    <SvgSocial
      width={32}
      height={32}
      viewBox="0 0 32 32"
      xmlns="http://www.w3.org/2000/svg"
    >
      <RectSocial rx="8" />
      <PathSocial d="M19.3334 9.33337H12.6667C10.8258 9.33337 9.33337 10.8258 9.33337 12.6667V19.3334C9.33337 21.1743 10.8258 22.6667 12.6667 22.6667H19.3334C21.1743 22.6667 22.6667 21.1743 22.6667 19.3334V12.6667C22.6667 10.8258 21.1743 9.33337 19.3334 9.33337Z" />
      <PathSocial d="M18.6667 15.58C18.7489 16.1348 18.6542 16.7014 18.3958 17.1993C18.1375 17.6972 17.7288 18.1009 17.2278 18.3531C16.7267 18.6052 16.159 18.693 15.6052 18.6039C15.0514 18.5148 14.5398 18.2533 14.1432 17.8567C13.7466 17.4601 13.4852 16.9485 13.3961 16.3948C13.3069 15.841 13.3947 15.2732 13.6469 14.7722C13.8991 14.2712 14.3028 13.8625 14.8007 13.6041C15.2985 13.3458 15.8652 13.251 16.42 13.3333C16.986 13.4172 17.5099 13.6809 17.9145 14.0855C18.319 14.4901 18.5827 15.014 18.6667 15.58Z" />
      <PathSocial d="M19.6666 12.3334H19.6766" />
    </SvgSocial>
  );
};
